#pragma optimize("avx,avx2,bmi,bmi2,popcnt,lzcnt,fmi")
#pragma GCC "unroll-loops, O3"
#pragma GCC "O3"
#include <bits/stdc++.h>
#define int long long
using namespace std;
signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, m; cin >> n >> m;
    cout << m - (n - 1);
    return 0;
}
